# JTAG test logic configuration for jtag_programmer simulations
syntax_version: 2
debug: true
has_trstn: true

ir_width: 4
tdrs:
  - name: prog_iface_addr
    description: "A-Core programming interface byte address"
    ir: 0x1
    width: 16
    chain_type: update

  - name: prog_iface_data
    description: "A-Core programming interface byte data"
    ir: 0x2
    width: 8
    chain_type: update

  - name: prog_iface_write_en
    description: "A-Core programming interface write enable"
    ir: 0x3
    width: 1
    chain_type: update

